## iam-pump

IAM analytics server

### Synopsis

IAM Pump is a pluggable analytics purger to move Analytics generated by your iam nodes to any back-end.

Find more iam-pump information at:
    https://github.com/marmotedu/iam/blob/master/docs/guide/en-US/cmd/iam-pump.md

```
iam-pump [flags]
```

### Options

```
  -c, --config FILE                         Read configuration from specified FILE, support JSON, TOML, YAML, HCL, or Java properties formats.
      --health-check-address string         Specifies liveness health check bind address. (default "0.0.0.0:7070")
      --health-check-path string            Specifies liveness health check request path. (default "healthz")
  -h, --help                                help for iam-pump
      --log.development                     Development puts the logger in development mode, which changes the behavior of DPanicLevel and takes stacktraces more liberally.
      --log.disable-caller                  Disable output of caller information in the log.
      --log.disable-stacktrace              Disable the log to record a stack trace for all messages at or above panic level.
      --log.enable-color                    Enable output ansi colors in plain format logs.
      --log.error-output-paths strings      Error output paths of log. (default [stderr])
      --log.format FORMAT                   Log output FORMAT, support plain or json format. (default "console")
      --log.level LEVEL                     Minimum log output LEVEL. (default "info")
      --log.name string                     The name of the logger.
      --log.output-paths strings            Output paths of log. (default [stdout])
      --omit-detailed-recording             Setting this to true will avoid writing policy fields for each authorization request in pumps.
      --purge-delay int                     This setting the purge delay (in seconds) when purge the data from Redis to MongoDB or other data stores. (default 10)
      --redis.addrs strings                 A set of redis address(format: 127.0.0.1:6379).
      --redis.database int                  By default, the database is 0. Setting the database is not supported with redis cluster. As such, if you have --redis.enable-cluster=true, then this value should be omitted or explicitly set to 0.
      --redis.enable-cluster                If you are using Redis cluster, enable it here to enable the slots mode.
      --redis.host string                   Hostname of your Redis server. (default "127.0.0.1")
      --redis.master-name string            The name of master redis instance.
      --redis.optimisation-max-active int   In order to not over commit connections to the Redis server, we may limit the total number of active connections to Redis. We recommend for production use to set this to around 4000. (default 4000)
      --redis.optimisation-max-idle int     This setting will configure how many connections are maintained in the pool when idle (no traffic). Set the --redis.optimisation-max-active to something large, we usually leave it at around 2000 for HA deployments. (default 2000)
      --redis.password string               Optional auth password for Redis db.
      --redis.port int                      The port the Redis server is listening on. (default 6379)
      --redis.ssl-insecure-skip-verify      Allows usage of self-signed certificates when connecting to an encrypted Redis database.
      --redis.timeout int                   Timeout (in seconds) when connecting to redis service.
      --redis.use-ssl                       If set, IAM will assume the connection to Redis is encrypted. (use with Redis providers that support in-transit encryption).
      --redis.username string               Username for access to redis service.
      --version version[=true]              Print version information and quit.
```

###### Auto generated by spf13/cobra on 1-Apr-2021
